Page MenuHomePhabricator

Prepare tasks for usertesting input widgets: Setup test on Wiki
Closed, ResolvedPublic

Description

Background: We want to make focused user tests of the Wikidata UI for being able to fix issues and/or to collect knowledge to consider when we touch elements to make them work on mobile/OOUI/vue. One obvious candidate are input widgets (e.g. the ones for special data types)

Task
If we do the "Create an item for you local TV tower"-task:

  • We need to think how about three users can do the same or very similar tasks (possibly just creating a new item each time and they get a random name for it for each user). Probably have some fake places and tv tower names.
  • Create an item that can go in instanceOf, like "TV tower"
  • Check if geoccordinates work
  • Do the task ourself once to see if it can be done

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 26 2017, 2:19 PM

After talking to @Lucas_Werkmeister_WMDE:

  1. One of the wikis (test, beta) is usually spammed with test data, we want to use the other one. But which is that?
  2. On the chosen wiki we might need to create the right properties and values to reference on the created items, e.g. if the scenario demands creating a TV tower item we should be able to say: InstanceOf: TV-Tower or so, so the item TV-Tower needs to be there.

Use test.wikidata.org and create the items and properties that you need but are lacking. You can even re-purpose existing items and properties if needed.

Notes from talking to @Lucas_Werkmeister_WMDE and @thiemowmde

  • The only other item that will be not on test yet is an item for TV-Tower, so it can be said "InstanceOf: TV tower"
  • Thiemo mentioned that Geocoordinates may not be setup yet.
Jan_Dittrich updated the task description. (Show Details)Jun 27 2017, 9:57 AM

Will this test be conducted in English or in German? I need to know which labels and descriptions users will see.

I created a test item at https://test.wikidata.org/wiki/Q71735, but most of the new items and properties for it only have German labels / descriptions.

In general, there’s a lot of test data on that installation, and also the property suggester seems to use Wikidata IDs (so it’s mostly useless).

The test will be conducted in German.

also the property suggester seems to use Wikidata IDs (so it’s mostly useless)

So you can't type "TV-T" and get "TV-tower" but only "Q123" – even if the we create an item "TV-Tower"?

No, you can type stuff, but the initial suggestions (before you start typing) are P31 and P279, which don’t even have German labels.

…OK, as long as it is only 2 and the "right one" comes up after brief typing, it is fine. If it is not the case, we would need to sit together and find a way around…

Right now, when you add ist ein there is an extra "duplicate" entry that could be potentially confusing and isn't present on production. Is this being used for something/can it be removed?

There’s lots of duplicate items and properties on there – I’ve generally just been changing the labels of items or properties that could be confusing.

Restricted Application added a project: Design. · View Herald TranscriptJun 29 2017, 3:30 PM
Charlie_WMDE moved this task from Incoming to Testing on the WMDE-Design board.Jun 29 2017, 3:31 PM
Charlie_WMDE edited projects, added User-Testing; removed WMDE-Design.
Charlie_WMDE moved this task from Backlog to ToDo on the User-Testing board.Jun 29 2017, 3:52 PM
James_Budday moved this task from Testing to Done on the WMDE-Design board.Jul 11 2017, 11:19 AM
Lydia_Pintscher closed this task as Resolved.Jul 12 2017, 3:05 PM